%global momorel 1
%global dir 26131
%global emacsver 22.1
%global xemacsver 21.4.20
%global md5sum_src0 00c2b8d7b722650b0088944e833077ad

Summary: A Japanese character input system library.(with dictionary)
Name: anthy
Version: 9100
Release: %{momorel}m%{?dist}
License: GPL and LGPL
URL: http://anthy.sourceforge.jp/
Group: Applications/System
%NoSource 0 http://downloads.sourceforge.jp/%{name}/%{dir}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: emacs
BuildRequires: xemacs
BuildRequires: pkgconfig

%description
Anthy is free and secure Japanese input system.

%package devel
Summary: Headers of %{name} for development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Anthy development package: static libraries, header files, and the like.

%package emacs
Group: Applications/Editors
Summary: anthy mode - for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description emacs
anthy-mode - for Emacs

%package xemacs
Group: Applications/Editors
Summary: anthy mode - for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo

%description xemacs
anthy-mode - for XEmacs

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

pushd src-util
rm -f *.elc
make EMACS=xemacs lispdir=%{_datadir}/xemacs/site-lisp/anthy
make lispdir=%{buildroot}%{_datadir}/xemacs/site-lisp/anthy install-lispLISP
popd

# remove Makefile from doc
rm -f doc/Makefile*

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog DIARY INSTALL NEWS README* doc
%config(noreplace) %{_sysconfdir}/anthy-conf
%{_bindir}/anthy-agent
%{_bindir}/anthy-dic-tool
%{_bindir}/anthy-morphological-analyzer
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_datadir}/anthy 

%files devel
%defattr(-,root,root)
%{_includedir}/anthy
%{_libdir}/pkgconfig/anthy.pc
%{_libdir}/*.a

%files emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/anthy

%files xemacs
%defattr(-,root,root)
%{_datadir}/xemacs/site-lisp/anthy

%changelog
* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (9100-1m)
- version 9100
- remove fake-version.patch 

* Tue Apr 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8700b-3m)
- add fake-version.patch for kasumi-2.2

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8700b-2m)
- modify %%install (rm *.elc -> rm -f *.elc)

* Mon Mar  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8700b-1m)
- version 8700b

* Wed Feb 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8700-1m)
- version 8700

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (8300-2m)
- delete libtool library

* Thu Nov  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8300-1m)
- version 8300

* Tue Jul 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7900-1m)
- version 7900

* Tue Apr 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7500b-1m)
- version 7500b

* Mon Mar 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7500-1m)
- version 7500

* Fri Dec 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (7100b-2m)
- separate 'anthy-emacs' package
- add 'anthy-xemacs' package

* Thu Nov  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7100b-1m)
- version 7100b

* Tue Nov  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7100-1m)
- version 7100

* Thu Sep 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6700b-2m)
- remove xim.d/Anthy-uim-xim

* Sun Jul  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6700b-1m)
- version 6700b

* Thu Jun 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6700-1m)
- version 6700

* Sun Apr 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6300d-2m)
- move %%{_libdir}/*.so from anthy-devel to anthy

* Tue Mar  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6300d-1m)
- version 6300d

* Sun Mar  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6300c-1m)
- version 6300c

* Tue Mar  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (6300-1m)
- version 6300

* Sat Nov  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5900-1m)
- version 5900
- add GTK_IM_MODULE and QT_IM_MODULE to xim.d/Anthy-uim-xim

* Fri Aug 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5500-2m)
- -n %%{name}-devel -> devel
- add %%post and %%postun sections

* Sat Jul 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (5500-1m)
- version 5500

* Mon Mar 1 2004 kourin <kourin@fh.freeserve.ne.jp>
- (5100-1m)
- version 5100

* Tue Feb 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4700-2m)
- separate libanthy and libanthy-devel packages

* Thu Jan 22 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4700-1m)
- version 4700

* Tue Oct 14 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4300b-1m)
- import

* Tue Aug 5 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 4200b-1
- Version updated.

* Thu Jul 10 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 4200-1
- Version updated.
- added description.

* Fri Nov 25 2002 OGUMA "dellin" Hironori <dellin@team-ct.org> 3500c-1
- Version updated.
- Added some documents.

* Fri Nov 22 2002 OGUMA "dellin" Hironori <dellin@team-ct.org> 3500b-1
- Version updated.

* Thu Jan  3 2002 Yusuke Tabata <yusuke@kmc.gr.jp>
- Changed my mail address and URL of web page

* Thu Nov 11 2001 Takayoshi Nobuoka <taka@trans-nt.com>
- Added %{_sysconfdir}/* at %files

* Wed Sep  9 2001 Takayoshi Nobuoka <taka@trans-nt.com>
- Used _bindir and so on.

* Sun Aug 19 2001 Tabatee <yusuke@kmc.kyoto-u.ac.jp>
- Initial build.
